<template>
    <div class="timer">
        <div class="timer-item">
            <span class="h4 font-weight-bold mb-0">{{ days }}</span>
            <span class="font-weight-bold"><small>Days</small></span>
        </div>
        <div class="timer-item">:</div>
        <div class="timer-item">
            <span class="h4 font-weight-bold mb-0">{{ hours }}</span>
            <span class="font-weight-bold"><small>Hours</small></span>
        </div>
        <div class="timer-item">:</div>
        <div class="timer-item">
            <span class="h4 font-weight-bold mb-0">{{ minutes }}</span>
            <span class="font-weight-bold"><small>Minutes</small></span>
        </div>
        <div class="timer-item">:</div>
        <div class="timer-item">
            <span class="h4 font-weight-bold mb-0">{{ seconds }}</span>
            <span class="font-weight-bold"><small>Seconds</small></span>
        </div>
    </div>
</template>

<script>
export default {
    data() {
        return {
            days: 0,
            hours: 0,
            minutes: 0,
            seconds: 0
        }
    },
    props: [
        'launchDate'
    ],
    mounted() {
        this.counter()
    },
    methods: {
        counter() {
            // var countDownDate = new Date(this.launchDate).getTime();
            // var _now = new Date().getTime();
            // var _distance = countDownDate - _now + 25200000;

            var countDown = this.launchDate * 1000;

            let x = setInterval(() => {
                // Get today's date and time
                //var now = new Date().getTime();
                // Find the distance between now and the count down date
                countDown = countDown - 1000;
                    
                // Time calculations for days, hours, minutes and seconds
                var days = Math.floor(countDown / (1000 * 60 * 60 * 24));
                var hours = Math.floor((countDown % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
                var minutes = Math.floor((countDown % (1000 * 60 * 60)) / (1000 * 60));
                var seconds = Math.floor((countDown % (1000 * 60)) / 1000);
                    
                this.days = days;
                this.hours = hours;
                this.minutes = minutes;
                this.seconds = seconds;

            }, 1000);  
            
            //console.log("launchDate = " + countDownDate);
            //console.log("now = " + _now);
            console.log("distance = " + countDown);
        }
    }
}
</script>